# Uses of Interface
org.apache.lucene.sandbox.facet.recorders.FacetRecorder

Packages that use FacetRecorder
Package
Description
org.apache.lucene.sandbox.facet
Sandbox faceting - Collectors that compute facets.
org.apache.lucene.sandbox.facet.iterators
Sandbox faceting: facet ordinals.
org.apache.lucene.sandbox.facet.recorders
Sandbox faceting: classes that can record per ordinal data E.g.

- ## Uses of FacetRecorder in org.apache.lucene.sandbox.facet

  Classes in org.apache.lucene.sandbox.facet with type parameters of type FacetRecorder
  Modifier and Type
  Class
  Description
  `final class`
  `FacetFieldCollectorManager<V extends FacetRecorder>`
  Collector manager for `FacetFieldCollector`.
  Constructors in org.apache.lucene.sandbox.facet with parameters of type FacetRecorder
  Modifier
  Constructor
  Description
  ``
  `FacetFieldCollector(FacetCutter facetCutter, FacetRecorder facetRecorder)`
  Collector for cutter+recorder pair.

- ## Uses of FacetRecorder in org.apache.lucene.sandbox.facet.iterators

  Constructors in org.apache.lucene.sandbox.facet.iterators with parameters of type FacetRecorder
  Modifier
  Constructor
  Description
  ``
  `CandidateSetOrdinalIterator(FacetRecorder facetRecorder, FacetLabel[] candidateLabels, LabelToOrd labelToOrd)`
  Constructor.

- ## Uses of FacetRecorder in org.apache.lucene.sandbox.facet.recorders

  Classes in org.apache.lucene.sandbox.facet.recorders that implement FacetRecorder
  Modifier and Type
  Class
  Description
  `final class`
  `CountFacetRecorder`
  `FacetRecorder` to count facets.
  `final class`
  `LongAggregationsFacetRecorder`
  `FacetRecorder` that computes multiple long aggregations per facet.
  `final class`
  `MultiFacetsRecorder`
  `FacetRecorder` that contains multiple FacetRecorders.
  Constructors in org.apache.lucene.sandbox.facet.recorders with parameters of type FacetRecorder
  Modifier
  Constructor
  Description
  ``
  `MultiFacetsRecorder(FacetRecorder... delegates)`
  Constructor